?
Solved

Live upgrade with Solaris 10 issues

Posted on 2015-02-11
3
Medium Priority
?
455 Views
Last Modified: 2015-02-18
I have to test a live uprade patch with solaris 10. But it looks like its not running as it expected i beleive. It shows some dependency issue.

I have downloaded the latest Patch bundle. and doing the following way in luupgrade step. env2 is my ABE

root@server1 # luupgrade -n env2  -s /solpatches/10_Recommended/patches -t `cat patch_order`

Validating the contents of the media </solpatches/10_Recommended/patches>.
The media contains 385 software patches that can be added.
All 385 patches will be added because you did not specify any specific patches to add.
Mounting the BE <env2>.
Adding patches to the BE <env2>.
Validating patches...

Loading patches installed on the system...

Done!

Loading patches requested to install.

Done!

No patches to dependency check.
Unmounting the BE <env2>.
The patch add to the BE <env2> completed with Warnings.
root@server1 #

Any idea what is missing here.
0
Comment
Question by:bt74
[X]
Welcome to Experts Exchange

Add your voice to the tech community where 5M+ people just like you are talking about what matters.

  • Help others & share knowledge
  • Earn cash & points
  • Learn & ask questions
  • 2
3 Comments
 
LVL 16

Expert Comment

by:Joseph Gan
ID: 40604221
I have a doc about how to live patching in Solaris 9 enviroment, should be similar to Solaris 10:

http://www.experts-exchange.com/OS/Unix/A_3840-Live-Patching-for-the-Solaris-9-Operating-System.html

Bassiclly you need to mount the "env2" by "lumount env2" command, and use this command to do it:

# /var/tmp/patches/install_cluster -R /.alt.env2

"luupgrade" usually I used for upgrade the OS, here -s is point to new OS image.
0
 

Author Comment

by:bt74
ID: 40605495
Thanks
I tried with the way you shared.. But now i am into different issues.

#./installpatchset -B env2 --s10patchset

Installing this patch set to an alternate boot environment first requires the
live boot environment to have patch utilities and other prerequisite patches
at the same (or higher) patch revisions as those delivered by this patch set.

The required prerequisite patches can be applied to the live boot environment
by invoking this script with the '--apply-prereq' option, ie.

 ./installpatchset --apply-prereq --s10patchset

 #

So i tried to install prereq

# ./installpatchset --apply-prereq --s10patchset

Setup .


Recommended OS Patchset Solaris 10 SPARC (2015.01.26)

Application of patches started : 2015.02.12 06:50:38

Applying 120900-04 ( 1 of 10) ... failed

Application of patches finished : 2015.02.12 06:50:39


Following patch failed to apply :
 120900-04

Aborting due to failure while applying patch 120900-04.

Application of this patch should have succeeded - this failure is unexpected.
Please assess cause of failure and verify system integrity before proceeding.

Install log files written :
  /var/sadm/install_data/s10s_rec_patchset_short_2015.02.12_06.50.38.log
  /var/sadm/install_data/s10s_rec_patchset_verbose_2015.02.12_06.50.38.log
  /var/sadm/install_data/s10s_rec_patchset_failed_2015.02.12_06.50.38.log
#

Form the above logs, its compalins of

Loading patches requested to install.

Cannot check name /solpatches/10_Recommended/patches/120900-04.
----
patchadd exit code : 1
application of 120900-04 failed : unhandled subprocess exit status '1' (exit 1 branch)
finish time : 2015.02.12 06:50:39
FINISHED : application of 120900-04


Following patch failed to apply :
 120900-04

Aborting due to failure while applying patch 120900-04.

Application of this patch should have succeeded - this failure is unexpected.
Please assess cause of failure and verify system integrity before proceeding.


Any ideas why its failing?
0
 
LVL 16

Accepted Solution

by:
Joseph Gan earned 2000 total points
ID: 40606644
This is patch 120900-04 readme file:
https://updates.oracle.com/readme/120900-04

It is safe to skip this patch by comment out in the patch list. Later on you can re-apply this patch by
# patchadd /var/spool/patch/120900-04.
0

Featured Post

Get MongoDB database support online, now!

At Percona’s web store you can order your MongoDB database support needs in minutes. No hassles, no fuss, just pick and click. Pay online with a credit card. Handle your MongoDB database support now!

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

Attention: This article will no longer be maintained. If you have any questions, please feel free to mail me. jgh@FreeBSD.org Please see http://www.freebsd.org/doc/en_US.ISO8859-1/articles/freebsd-update-server/ for the updated article. It is avail…
In this blog, we’ll look at how improvements to Percona XtraDB Cluster improved IST performance.
Learn how to get help with Linux/Unix bash shell commands. Use help to read help documents for built in bash shell commands.: Use man to interface with the online reference manuals for shell commands.: Use man to search man pages for unknown command…
How to Install VMware Tools in Red Hat Enterprise Linux 6.4 (RHEL 6.4) Step-by-Step Tutorial
Suggested Courses
Course of the Month7 days, 19 hours left to enroll

765 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question